//*******************************************************
//@@ohbPUePWRU kdc@_
//     PIC16F1936 LED BLINK Program
//  file name: main.c
//
//@@@RA0:LED  Low:OFF, High:ON
//@@@RA1:
//@@@RA2:
//@@@RA3:
//@@@RA4:
//@@@RA5:
//@@@RA6:
//@@@RA7:
//@@@RB0:
//@@@RB1:
//@@@RB2:
//@@@RB3:
//@@@RB4:
//@@@RB5:
//@@@RB6:ICSPCLK
//@@@RB7:ICSPDAT
//@@@RC0:
//@@@RC1:
//@@@RC2:
//@@@RC3:
//@@@RC4:
//@@@RC5:
//@@@RC6:
//@@@RC7:
//@@@RE3:MCLR* / VPP
//
//   MPLAB IDE v8.84  HiTEC C
//   C:\Program Files\HI-TECH Software\PICC\9.83\include\pic16lf1824.h  include 
//
//  2015/02/01  New(TAB4)  Taishi
//*******************************************************

#include	<htc.h>

#define	_XTAL_FREQ	8000000L	//	giWlgj


// ******** MACRO ********
#define	led_on()				(RA0 = 1)		// Low:OFF
#define	led_off()				(RA0 = 0)		// High:ON


// CONFIG for 16F1936

__CONFIG (	FCMEN_OFF			//	0(OFF) = tFCZ[t NbNj^𖳌ɂ
		&	IESO_OFF			//	0(OFF) = tFCZ[t NbNj^𖳌ɂ
		&	CLKOUTEN_OFF		//	1(OFF) = CLKOUT@\𖳌ɂBCLKOUT sI/O Ƃċ@\
		&	BOREN_ON			//	11 = BOR(uEAEgZbg)Lɂ
		&	CPD_OFF				//	1(OFF) = f[^̃R[hی𖳌ɂ
		&	CP_OFF				//	1(OFF) = vÕR[hی𖳌ɂ
		&	MCLRE_ON			//	0(OFF) = MCLR/VPP s̓fW^͂Ƃċ@\B
		&	PWRTE_ON			//	0 = PWRT(p[Abv^C}[)Lɂ
		&	WDTE_OFF			//	00 = WDT(EHb`hbO^C}[)𖳌ɂ
		&	FOSC_INTOSC			//	100 = INTOSCIV[^:CLKIN sI/O Ƃċ@\
);

								//	fobO@\͏ݑuɔCij

//__CONFIG (	LVP_OFF				//	0(OFF)=vO~OMCLR ɍdKv
//		&	BORV_LO				//	1 = uEAEgZbgd(Vbor)̃gbv|Cgɐݒ肷
//		&	STVREN_ON			//	1(ON) = X^bÑI[o[t[܂̓A_[t[ɂăZbg𔭐
//		&	PLLEN_ON			//	1 = 4xPLL Lɂ
//		&	WRT_OFF				//	11 = ݕیOFF ɂ
//);

__CONFIG (	LVP_OFF				//	0(OFF)=vO~OMCLR ɍdKv
		&	BORV_LO				//	1 = uEAEgZbgd(Vbor)̃gbv|Cgɐݒ肷
		&	STVREN_ON			//	1(ON) = X^bÑI[o[t[܂̓A_[t[ɂăZbg𔭐
		&	PLLEN_OFF			//	0(OFF) = 4xPLL 𖳌ɂ
		&	WRT_OFF				//	11 = ݕیOFF ɂ
);

// *****************************
//	fB[PrŒ
//
//  2015/01/24 New   Taishi
// *****************************
void	wait_1ms(void)
{
	__delay_ms(1);			//	Pҋ@;
}
// *****************************
//	fB[POrP
//
//  2014/02/25 New   Taishi
// *****************************
void	wait_10ms(unsigned char n)
{
	unsigned char i;

	for(i=0;i<n;i++){
		__delay_ms(10);			//	POҋ@;
	}
}

// *****************************
//	main
//
//  2014/02/25 New   Taishi
// *****************************
void	main(void)
{
	di();						//	荞݋֎~

//				    76543210
//	OSCCON	    = 0b01110000;		//	NbNWlg@c@okkHLȂ̂ŎRQlg
//	OSCCON	    = 0b01111010;		//	NbNPUlg
	OSCCON	    = 0b01110010;		//	NbNWlg
//	OSCCON	    = 0b01101010;		//	NbNSlg

	OPTION_REG &= 0b01111111;		// Ŝ̃vAbvLɂ(WPUEN*:L)

//				    76543210		//  |[g`
	ANSELA	    = 0b00000000;		//	ăfW^óiAiO͋֎~j
	PORTA	    = 0b00000000;		//	o̓f[^ݒ(SĂO)
	TRISA	    = 0b00000000;		//	o͕ݒ(RA0,1,2,3,4,5,6,7:Output)


//				    76543210		//  |[ga
	ANSELB	    = 0b00000000;		//	ăfW^óiAiO͋֎~j
	PORTB	    = 0b00000000;		//	o̓f[^ݒ(SĂO)
	TRISB	    = 0b11111111;		//	o͕ݒ(Sē)
	WPUB	    = 0b11111111;		//	vAbvݒ(SăvAbvL)


//				    76543210		//  |[gb
	PORTC	    = 0b00000000;		//	o̓f[^ݒ(SĂO)
	TRISC	    = 0b00000000;		//	o͕ݒ(Sďo)

	wait_10ms(10);					// Wait 100mSec

	for(;;){
		wait_10ms(50);				// Wait 500mSec
		led_on();
		wait_10ms(50);				// Wait 500mSec
		led_off();
	}

}
